## org.hibernate.metamodel.source.annotations.entity
Enum ConfiguredClassType

    java.lang.Object
      java.lang.Enum<ConfiguredClassType>
          org.hibernate.metamodel.source.annotations.entity.ConfiguredClassType

All Implemented Interfaces:
  Serializable, Comparable<ConfiguredClassType>

    public enum ConfiguredClassType

extends Enum<ConfiguredClassType>

Enum Constant Summary
`EMBEDDABLE`
`ENTITY`
`MAPPED_SUPERCLASS`
`NON_ENTITY`

Method Summary
`static ConfiguredClassType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ConfiguredClassType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ENTITY

    public static final ConfiguredClassType ENTITY

### MAPPED_SUPERCLASS

    public static final ConfiguredClassType MAPPED_SUPERCLASS

### EMBEDDABLE

    public static final ConfiguredClassType EMBEDDABLE

### NON_ENTITY

    public static final ConfiguredClassType NON_ENTITY

Method Detail

### values

    public static ConfiguredClassType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ConfiguredClassType c : ConfiguredClassType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ConfiguredClassType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.